View Issue Details

IDProjectCategoryView StatusLast Update
0001014XdebugUsage problems (Wrong Results)public2014-03-02 14:16
ReporterhanshenrikAssigned Toderick 
PrioritynoneSeverityminorReproducibilityalways
Status resolvedResolutionduplicate 
Platformwin7 amd64OSwin7 x64 sp1OS VersionNT 6.1.7601 ?
Product Version2.2.3 
Target VersionFixed in Version2.2.4 
Summary0001014: trying to create COM objects cause crash
Descriptionwhen trying to create COM objects with $h=new COM("foo"), php cli crash (apache with mod_php as well, but doubt thats usefull)

"The program has stopped working"


Problem signature:
  Problem Event Name: APPCRASH
  Application Name: php.exe
  Application Version: 5.4.4.0
  Application Timestamp: 4fd8e9f3
  Fault Module Name: php_xdebug-2.2.3-5.4-vc9.dll
  Fault Module Version: 2.2.3.1
  Fault Module Timestamp: 519c552a
  Exception Code: c0000005
  Exception Offset: 000182e5
  OS Version: 6.1.7601.2.1.0.256.1
  Locale ID: 1044
  Additional Information 1: 0a9e
  Additional Information 2: 0a9e372d3b4ad19135b953a78882e789
  Additional Information 3: 0a9e
  Additional Information 4: 0a9e372d3b4ad19135b953a78882e789

Read our privacy statement online:
  http://go.microsoft.com/fwlink/?linkid=104288&clcid=0x0409

If the online privacy statement is not available, please read our privacy statement offline:
  C:\Windows\system32\en-US\erofflps.txt

Steps To Reproducephp -r "$h=new COM(\"WinNT://Domain\");"

or

php -r "$h=new COM(\"Scripting.FileSystemObject\");"
Additional Information

C:\xampp\php>php -r "phpinfo();"
phpinfo()
PHP Version => 5.4.4

System => Windows NT TAKEO-PC 6.1 build 7601 (Windows 7 Ultimate Edition Servic
 Pack 1) i586
Build Date => Jun 13 2012 21:17:57
Compiler => MSVC9 (Visual C++ 2008)
Architecture => x86
Configure Command => cscript /nologo configure.js "--enable-snapshot-build" "-
disable-isapi" "--enable-debug-pack" "--without-mssql" "--without-pdo-mssql" "-
without-pi3web" "--with-pdo-oci=C:\php-sdk\oracle\instantclient10\sdk,shared" "
-with-oci8=C:\php-sdk\oracle\instantclient10\sdk,shared" "--with-oci8-11g=C:\ph
-sdk\oracle\instantclient11\sdk,shared" "--enable-object-out-dir=../obj/" "--en
ble-com-dotnet" "--with-mcrypt=static" "--disable-static-analyze" "--with-pgo"
Server API => Command Line Interface
Virtual Directory Support => enabled
Configuration File (php.ini) Path => C:\Windows
Loaded Configuration File => C:\xampp\php\php.ini
Scan this dir for additional .ini files => (none)
Additional .ini files parsed => (none)
PHP API => 20100412
PHP Extension => 20100525
Zend Extension => 220100525
Zend Extension Build => API220100525,TS,VC9
PHP Extension Build => API20100525,TS,VC9
Debug Build => no
Thread Safety => enabled
Zend Signal Handling => disabled
Zend Memory Manager => enabled
Zend Multibyte Support => provided by mbstring
IPv6 Support => enabled
DTrace Support => disabled

Registered PHP Streams => php, file, glob, data, http, ftp, zip, compress.zlib,
compress.bzip2, https, ftps, phar
Registered Stream Socket Transports => tcp, udp, ssl, sslv3, sslv2, tls
Registered Stream Filters => convert.iconv.*, mcrypt.*, mdecrypt.*, string.rot1
, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, dechu
k, zlib.*, bzip2.*

This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies
    with Xdebug v2.2.3, Copyright (c) 2002-2013, by Derick Rethans


 _______________________________________________________________________


Configuration

bcmath

BCMath support => enabled

Directive => Local Value => Master Value
bcmath.scale => 0 => 0

bz2

BZip2 Support => Enabled
Stream Wrapper support => compress.bzip2://
Stream Filter support => bzip2.decompress, bzip2.compress
BZip2 Version => 1.0.6, 6-Sept-2010

calendar

Calendar support => enabled

com_dotnet

COM support => enabled
DCOM support => disabled
.Net support => enabled

Directive => Local Value => Master Value
com.allow_dcom => 0 => 0
com.autoregister_casesensitive => 1 => 1
com.autoregister_typelib => 0 => 0
com.autoregister_verbose => 0 => 0
com.code_page => no value => no value
com.typelib_file => no value => no value

Core

PHP Version => 5.4.4

Directive => Local Value => Master Value
allow_url_fopen => On => On
allow_url_include => Off => Off
always_populate_raw_post_data => Off => Off
arg_separator.input => & => &
arg_separator.output => & => &
asp_tags => Off => Off
auto_append_file => no value => no value
auto_globals_jit => On => On
auto_prepend_file => no value => no value
browscap => \xampp\php\extras\browscap.ini => \xampp\php\extras\browscap.ini
default_charset => no value => no value
default_mimetype => text/html => text/html
disable_classes => no value => no value
disable_functions => no value => no value
display_errors => STDOUT => STDOUT
display_startup_errors => Off => Off
doc_root => no value => no value
docref_ext => no value => no value
docref_root => no value => no value
enable_dl => On => On
enable_post_data_reading => On => On
error_append_string => no value => no value
error_log => \xampp\php\logs\php_error_log => \xampp\php\logs\php_error_log
error_prepend_string => no value => no value
error_reporting => 32767 => 32767
exit_on_timeout => Off => Off
expose_php => On => On
extension_dir => \xampp\php\ext => \xampp\php\ext
file_uploads => On => On
highlight.comment => <font style="color: #FF8000">#FF8000</font> => <font style
"color: #FF8000">#FF8000</font>
highlight.default => <font style="color: #0000BB">#0000BB</font> => <font style
"color: #0000BB">#0000BB</font>
highlight.html => <font style="color: #000000">#000000</font> => <font style="c
lor: #000000">#000000</font>
highlight.keyword => <font style="color: #007700">#007700</font> => <font style
"color: #007700">#007700</font>
highlight.string => <font style="color: #DD0000">#DD0000</font> => <font style=
color: #DD0000">#DD0000</font>
html_errors => Off => Off
ignore_repeated_errors => Off => Off
ignore_repeated_source => Off => Off
ignore_user_abort => Off => Off
implicit_flush => On => On
include_path => .;\xampp\php\PEAR => .;\xampp\php\PEAR
log_errors => On => On
log_errors_max_len => 1024 => 1024
mail.add_x_header => Off => Off
mail.force_extra_parameters => no value => no value
mail.log => no value => no value
max_execution_time => 0 => 0
max_file_uploads => 20 => 20
max_input_nesting_level => 64 => 64
max_input_time => -1 => -1
max_input_vars => 1000 => 1000
memory_limit => 1128M => 1128M
open_basedir => no value => no value
output_buffering => 0 => 0
output_handler => no value => no value
post_max_size => 80M => 80M
precision => 14 => 14
realpath_cache_size => 16K => 16K
realpath_cache_ttl => 120 => 120
register_argc_argv => On => On
report_memleaks => On => On
report_zend_debug => Off => Off
request_order => GP => GP
sendmail_from => no value => no value
sendmail_path => \xampp\mailtodisk\mailtodisk.exe => \xampp\mailtodisk\mailtodi
k.exe
serialize_precision => 100 => 100
short_open_tag => Off => Off
SMTP => localhost => localhost
smtp_port => 25 => 25
sql.safe_mode => Off => Off
track_errors => On => On
unserialize_callback_func => no value => no value
upload_max_filesize => 200M => 200M
upload_tmp_dir => \xampp\tmp => \xampp\tmp
user_dir => no value => no value
user_ini.cache_ttl => 3000 => 3000
user_ini.filename => .user.ini => .user.ini
variables_order => GPCS => GPCS
windows.show_crt_warning => Off => Off
xmlrpc_error_number => 0 => 0
xmlrpc_errors => Off => Off
zend.detect_unicode => On => On
zend.enable_gc => On => On
zend.multibyte => Off => Off
zend.script_encoding => no value => no value

ctype

ctype functions => enabled

curl

cURL support => enabled
cURL Information => 7.24.0
Age => 3
Features
AsynchDNS => Yes
Debug => No
GSS-Negotiate => Yes
IDN => No
IPv6 => Yes
Largefile => Yes
NTLM => Yes
SPNEGO => No
SSL => Yes
SSPI => Yes
krb4 => No
libz => Yes
CharConv => No
Protocols => dict, file, ftp, ftps, gopher, http, https, imap, imaps, ldap, pop
, pop3s, rtsp, scp, sftp, smtp, smtps, telnet, tftp
Host => i386-pc-win32
SSL Version => OpenSSL/0.9.8u
ZLib Version => 1.2.5
libSSH Version => libssh2/1.3.0

date

date/time support => enabled
"Olson" Timezone Database Version => 2012.3
Timezone Database => internal
Default timezone => Europe/Berlin

Directive => Local Value => Master Value
date.default_latitude => 31.7667 => 31.7667
date.default_longitude => 35.2333 => 35.2333
date.sunrise_zenith => 90.583333 => 90.583333
date.sunset_zenith => 90.583333 => 90.583333
date.timezone => Europe/Berlin => Europe/Berlin

dom

DOM/XML => enabled
DOM/XML API Version => 20031129
libxml Version => 2.7.7
HTML Support => enabled
XPath Support => enabled
XPointer Support => enabled
Schema Support => enabled
RelaxNG Support => enabled

ereg

Regex Library => Bundled library enabled

exif

EXIF Support => enabled
EXIF Version => 1.4 $Id$
Supported EXIF Version => 0220
Supported filetypes => JPEG,TIFF

Directive => Local Value => Master Value
exif.decode_jis_intel => JIS => JIS
exif.decode_jis_motorola => JIS => JIS
exif.decode_unicode_intel => UCS-2LE => UCS-2LE
exif.decode_unicode_motorola => UCS-2BE => UCS-2BE
exif.encode_jis => no value => no value
exif.encode_unicode => ISO-8859-15 => ISO-8859-15

filter

Input Validation and Filtering => enabled
Revision => $Id: e523cdc8829892d1b4f9cb7c3c57b2ba1c36b9ea $

Directive => Local Value => Master Value
filter.default => unsafe_raw => unsafe_raw
filter.default_flags => no value => no value

ftp

FTP support => enabled

gd

GD Support => enabled
GD Version => bundled (2.0.34 compatible)
FreeType Support => enabled
FreeType Linkage => with freetype
FreeType Version => 2.4.3
GIF Read Support => enabled
GIF Create Support => enabled
JPEG Support => enabled
libJPEG Version => 6b
PNG Support => enabled
libPNG Version => 1.2.46
WBMP Support => enabled
XBM Support => enabled

Directive => Local Value => Master Value
gd.jpeg_ignore_warning => 0 => 0

gettext

GetText Support => enabled

gmp

gmp support => enabled
MPIR version => 1.3.1

hash

hash support => enabled
Hashing Engines => md2 md4 md5 sha1 sha224 sha256 sha384 sha512 ripemd128 ripem
160 ripemd256 ripemd320 whirlpool tiger128,3 tiger160,3 tiger192,3 tiger128,4 t
ger160,4 tiger192,4 snefru snefru256 gost adler32 crc32 crc32b fnv132 fnv164 jo
at haval128,3 haval160,3 haval192,3 haval224,3 haval256,3 haval128,4 haval160,4
haval192,4 haval224,4 haval256,4 haval128,5 haval160,5 haval192,5 haval224,5 ha
al256,5

iconv

iconv support => enabled
iconv implementation => "libiconv"
iconv library version => 1.11

Directive => Local Value => Master Value
iconv.input_encoding => ISO-8859-1 => ISO-8859-1
iconv.internal_encoding => ISO-8859-1 => ISO-8859-1
iconv.output_encoding => ISO-8859-1 => ISO-8859-1

json

json support => enabled
json version => 1.2.1

libxml

libXML support => active
libXML Compiled Version => 2.7.7
libXML Loaded Version => 20707
libXML streams => enabled

mbstring

Multibyte Support => enabled
Multibyte string engine => libmbfl
HTTP input encoding translation => disabled
libmbfl version => 1.3.2

mbstring extension makes use of "streamable kanji code filter and converter", w
ich is distributed under the GNU Lesser General Public License version 2.1.

Multibyte (japanese) regex support => enabled
Multibyte regex (oniguruma) version => 4.7.1

Directive => Local Value => Master Value
mbstring.detect_order => no value => no value
mbstring.encoding_translation => Off => Off
mbstring.func_overload => 0 => 0
mbstring.http_input => pass => pass
mbstring.http_output => pass => pass
mbstring.http_output_conv_mimetypes => ^(text/|application/xhtml\+xml) => ^(tex
/|application/xhtml\+xml)
mbstring.internal_encoding => no value => no value
mbstring.language => neutral => neutral
mbstring.strict_detection => Off => Off
mbstring.substitute_character => no value => no value

mcrypt

mcrypt support => enabled
mcrypt_filter support => enabled
Version => 2.5.8
Api No => 20021217
Supported ciphers => cast-128 gost rijndael-128 twofish cast-256 loki97 rijndae
-192 saferplus wake blowfish-compat des rijndael-256 serpent xtea blowfish enig
a rc2 tripledes arcfour
Supported modes => cbc cfb ctr ecb ncfb nofb ofb stream

Directive => Local Value => Master Value
mcrypt.algorithms_dir => no value => no value
mcrypt.modes_dir => no value => no value

mhash

MHASH support => Enabled
MHASH API Version => Emulated Support

mysql

MySQL Support => enabled
Active Persistent Links => 0
Active Links => 0
Client API version => mysqlnd 5.0.10 - 20111026 - $Id: b0b3b15c693b7f6aeb3aa66b
46fee339f175e39 $

Directive => Local Value => Master Value
mysql.allow_local_infile => On => On
mysql.allow_persistent => On => On
mysql.connect_timeout => 3 => 3
mysql.default_host => no value => no value
mysql.default_password => no value => no value
mysql.default_port => 3306 => 3306
mysql.default_socket => MySQL => MySQL
mysql.default_user => no value => no value
mysql.max_links => Unlimited => Unlimited
mysql.max_persistent => Unlimited => Unlimited
mysql.trace_mode => Off => Off

mysqli

MysqlI Support => enabled
Client API library version => mysqlnd 5.0.10 - 20111026 - $Id: b0b3b15c693b7f6a
b3aa66b646fee339f175e39 $
Active Persistent Links => 0
Inactive Persistent Links => 0
Active Links => 0

Directive => Local Value => Master Value
mysqli.allow_local_infile => On => On
mysqli.allow_persistent => On => On
mysqli.default_host => no value => no value
mysqli.default_port => 3306 => 3306
mysqli.default_pw => no value => no value
mysqli.default_socket => MySQL => MySQL
mysqli.default_user => no value => no value
mysqli.max_links => Unlimited => Unlimited
mysqli.max_persistent => Unlimited => Unlimited
mysqli.reconnect => Off => Off

mysqlnd

mysqlnd => enabled
Version => mysqlnd 5.0.10 - 20111026 - $Id: b0b3b15c693b7f6aeb3aa66b646fee339f1
5e39 $
Compression => supported
SSL => supported
Command buffer size => 4096
Read buffer size => 32768
Read timeout => 31536000
Collecting statistics => Yes
Collecting memory statistics => No
Tracing => n/a
Loaded plugins => mysqlnd,example,debug_trace,auth_plugin_mysql_native_password
auth_plugin_mysql_clear_password
API Extensions => mysql,mysqli,pdo_mysql

mysqlnd statistics =>
bytes_sent => 0
bytes_received => 0
packets_sent => 0
packets_received => 0
protocol_overhead_in => 0
protocol_overhead_out => 0
bytes_received_ok_packet => 0
bytes_received_eof_packet => 0
bytes_received_rset_header_packet => 0
bytes_received_rset_field_meta_packet => 0
bytes_received_rset_row_packet => 0
bytes_received_prepare_response_packet => 0
bytes_received_change_user_packet => 0
packets_sent_command => 0
packets_received_ok => 0
packets_received_eof => 0
packets_received_rset_header => 0
packets_received_rset_field_meta => 0
packets_received_rset_row => 0
packets_received_prepare_response => 0
packets_received_change_user => 0
result_set_queries => 0
non_result_set_queries => 0
no_index_used => 0
bad_index_used => 0
slow_queries => 0
buffered_sets => 0
unbuffered_sets => 0
ps_buffered_sets => 0
ps_unbuffered_sets => 0
flushed_normal_sets => 0
flushed_ps_sets => 0
ps_prepared_never_executed => 0
ps_prepared_once_executed => 0
rows_fetched_from_server_normal => 0
rows_fetched_from_server_ps => 0
rows_buffered_from_client_normal => 0
rows_buffered_from_client_ps => 0
rows_fetched_from_client_normal_buffered => 0
rows_fetched_from_client_normal_unbuffered => 0
rows_fetched_from_client_ps_buffered => 0
rows_fetched_from_client_ps_unbuffered => 0
rows_fetched_from_client_ps_cursor => 0
rows_affected_normal => 0
rows_affected_ps => 0
rows_skipped_normal => 0
rows_skipped_ps => 0
copy_on_write_saved => 0
copy_on_write_performed => 0
command_buffer_too_small => 0
connect_success => 0
connect_failure => 0
connection_reused => 0
reconnect => 0
pconnect_success => 0
active_connections => 0
active_persistent_connections => 0
explicit_close => 0
implicit_close => 0
disconnect_close => 0
in_middle_of_command_close => 0
explicit_free_result => 0
implicit_free_result => 0
explicit_stmt_close => 0
implicit_stmt_close => 0
mem_emalloc_count => 0
mem_emalloc_amount => 0
mem_ecalloc_count => 0
mem_ecalloc_amount => 0
mem_erealloc_count => 0
mem_erealloc_amount => 0
mem_efree_count => 0
mem_efree_amount => 0
mem_malloc_count => 0
mem_malloc_amount => 0
mem_calloc_count => 0
mem_calloc_amount => 0
mem_realloc_count => 0
mem_realloc_amount => 0
mem_free_count => 0
mem_free_amount => 0
mem_estrndup_count => 0
mem_strndup_count => 0
mem_estndup_count => 0
mem_strdup_count => 0
proto_text_fetched_null => 0
proto_text_fetched_bit => 0
proto_text_fetched_tinyint => 0
proto_text_fetched_short => 0
proto_text_fetched_int24 => 0
proto_text_fetched_int => 0
proto_text_fetched_bigint => 0
proto_text_fetched_decimal => 0
proto_text_fetched_float => 0
proto_text_fetched_double => 0
proto_text_fetched_date => 0
proto_text_fetched_year => 0
proto_text_fetched_time => 0
proto_text_fetched_datetime => 0
proto_text_fetched_timestamp => 0
proto_text_fetched_string => 0
proto_text_fetched_blob => 0
proto_text_fetched_enum => 0
proto_text_fetched_set => 0
proto_text_fetched_geometry => 0
proto_text_fetched_other => 0
proto_binary_fetched_null => 0
proto_binary_fetched_bit => 0
proto_binary_fetched_tinyint => 0
proto_binary_fetched_short => 0
proto_binary_fetched_int24 => 0
proto_binary_fetched_int => 0
proto_binary_fetched_bigint => 0
proto_binary_fetched_decimal => 0
proto_binary_fetched_float => 0
proto_binary_fetched_double => 0
proto_binary_fetched_date => 0
proto_binary_fetched_year => 0
proto_binary_fetched_time => 0
proto_binary_fetched_datetime => 0
proto_binary_fetched_timestamp => 0
proto_binary_fetched_string => 0
proto_binary_fetched_blob => 0
proto_binary_fetched_enum => 0
proto_binary_fetched_set => 0
proto_binary_fetched_geometry => 0
proto_binary_fetched_other => 0
init_command_executed_count => 0
init_command_failed_count => 0
com_quit => 0
com_init_db => 0
com_query => 0
com_field_list => 0
com_create_db => 0
com_drop_db => 0
com_refresh => 0
com_shutdown => 0
com_statistics => 0
com_process_info => 0
com_connect => 0
com_process_kill => 0
com_debug => 0
com_ping => 0
com_time => 0
com_delayed_insert => 0
com_change_user => 0
com_binlog_dump => 0
com_table_dump => 0
com_connect_out => 0
com_register_slave => 0
com_stmt_prepare => 0
com_stmt_execute => 0
com_stmt_send_long_data => 0
com_stmt_close => 0
com_stmt_reset => 0
com_stmt_set_option => 0
com_stmt_fetch => 0
com_deamon => 0
bytes_received_real_data_normal => 0
bytes_received_real_data_ps => 0

example statistics =>
stat1 => 0
stat2 => 0

odbc

ODBC Support => enabled
Active Persistent Links => 0
Active Links => 0
ODBC library => Win32

Directive => Local Value => Master Value
odbc.allow_persistent => On => On
odbc.check_persistent => On => On
odbc.default_cursortype => Static cursor => Static cursor
odbc.default_db => no value => no value
odbc.default_pw => no value => no value
odbc.default_user => no value => no value
odbc.defaultbinmode => return as is => return as is
odbc.defaultlrl => return up to 4096 bytes => return up to 4096 bytes
odbc.max_links => Unlimited => Unlimited
odbc.max_persistent => Unlimited => Unlimited

openssl

OpenSSL support => enabled
OpenSSL Library Version => OpenSSL 0.9.8u 12 Mar 2012
OpenSSL Header Version => OpenSSL 0.9.8u 12 Mar 2012

pcre

PCRE (Perl Compatible Regular Expressions) Support => enabled
PCRE Library Version => 8.12 2011-01-15

Directive => Local Value => Master Value
pcre.backtrack_limit => 1000000 => 1000000
pcre.recursion_limit => 100000 => 100000

PDO

PDO support => enabled
PDO drivers => mysql, sqlite

pdo_mysql

PDO Driver for MySQL => enabled
Client API version => mysqlnd 5.0.10 - 20111026 - $Id: b0b3b15c693b7f6aeb3aa66b
46fee339f175e39 $

pdo_sqlite

PDO Driver for SQLite 3.x => enabled
SQLite Library => 3.7.7.1

Phar

Phar: PHP Archive support => enabled
Phar EXT version => 2.0.1
Phar API version => 1.1.1
SVN revision => $Id: 2a47d3d0354109d8077e34d59f1228ccfd021d59 $
Phar-based phar archives => enabled
Tar-based phar archives => enabled
ZIP-based phar archives => enabled
gzip compression => enabled
bzip2 compression => enabled
OpenSSL support => enabled


Phar based on pear/PHP_Archive, original concept by Davey Shafik.
Phar fully realized by Gregory Beaver and Marcus Boerger.
Portions of tar implementation Copyright (c) 2003-2009 Tim Kientzle.
Directive => Local Value => Master Value
phar.cache_list => no value => no value
phar.readonly => On => On
phar.require_hash => On => On

Reflection

Reflection => enabled
Version => $Id: 1cf65cee164ed57874ce2d29e5c46b82f6139524 $

session

Session Support => enabled
Registered save handlers => files user
Registered serializer handlers => php php_binary wddx

Directive => Local Value => Master Value
session.auto_start => Off => Off
session.cache_expire => 180 => 180
session.cache_limiter => nocache => nocache
session.cookie_domain => no value => no value
session.cookie_httponly => Off => Off
session.cookie_lifetime => 0 => 0
session.cookie_path => / => /
session.cookie_secure => Off => Off
session.entropy_file => no value => no value
session.entropy_length => 0 => 0
session.gc_divisor => 1000 => 1000
session.gc_maxlifetime => 1440 => 1440
session.gc_probability => 1 => 1
session.hash_bits_per_character => 5 => 5
session.hash_function => 0 => 0
session.name => PHPSESSID => PHPSESSID
session.referer_check => no value => no value
session.save_handler => files => files
session.save_path => \xampp\tmp => \xampp\tmp
session.serialize_handler => php => php
session.upload_progress.cleanup => On => On
session.upload_progress.enabled => On => On
session.upload_progress.freq => 1% => 1%
session.upload_progress.min_freq => 1 => 1
session.upload_progress.name => PHP_SESSION_UPLOAD_PROGRESS => PHP_SESSION_UPLO
D_PROGRESS
session.upload_progress.prefix => upload_progress_ => upload_progress_
session.use_cookies => On => On
session.use_only_cookies => Off => Off
session.use_trans_sid => 0 => 0

SimpleXML

Simplexml support => enabled
Revision => $Id: 455280fc74f9f002b7314def7a456f6c3080eb92 $
Schema support => enabled

soap

Soap Client => enabled
Soap Server => enabled

Directive => Local Value => Master Value
soap.wsdl_cache => 1 => 1
soap.wsdl_cache_dir => /tmp => /tmp
soap.wsdl_cache_enabled => 1 => 1
soap.wsdl_cache_limit => 5 => 5
soap.wsdl_cache_ttl => 86400 => 86400

sockets

Sockets Support => enabled

SPL

SPL support => enabled
Interfaces => Countable, OuterIterator, RecursiveIterator, SeekableIterator, Sp
Observer, SplSubject
Classes => AppendIterator, ArrayIterator, ArrayObject, BadFunctionCallException
 BadMethodCallException, CachingIterator, CallbackFilterIterator, DirectoryIter
tor, DomainException, EmptyIterator, FilesystemIterator, FilterIterator, GlobIt
rator, InfiniteIterator, InvalidArgumentException, IteratorIterator, LengthExce
tion, LimitIterator, LogicException, MultipleIterator, NoRewindIterator, OutOfB
undsException, OutOfRangeException, OverflowException, ParentIterator, RangeExc
ption, RecursiveArrayIterator, RecursiveCachingIterator, RecursiveCallbackFilte
Iterator, RecursiveDirectoryIterator, RecursiveFilterIterator, RecursiveIterato
Iterator, RecursiveRegexIterator, RecursiveTreeIterator, RegexIterator, Runtime
xception, SplDoublyLinkedList, SplFileInfo, SplFileObject, SplFixedArray, SplHe
p, SplMinHeap, SplMaxHeap, SplObjectStorage, SplPriorityQueue, SplQueue, SplSta
k, SplTempFileObject, UnderflowException, UnexpectedValueException

sqlite3

SQLite3 support => enabled
SQLite3 module version => 0.7
SQLite Library => 3.7.7.1

Directive => Local Value => Master Value
sqlite3.extension_dir => no value => no value

standard

Dynamic Library Support => enabled
Path to sendmail => \xampp\mailtodisk\mailtodisk.exe

Directive => Local Value => Master Value
assert.active => 1 => 1
assert.bail => 0 => 0
assert.callback => no value => no value
assert.quiet_eval => 0 => 0
assert.warning => 1 => 1
auto_detect_line_endings => 0 => 0
default_socket_timeout => 60 => 60
from => no value => no value
url_rewriter.tags => a=href,area=href,frame=src,input=src,form=fakeentry => a=h
ef,area=href,frame=src,input=src,form=fakeentry
user_agent => no value => no value

tokenizer

Tokenizer Support => enabled

wddx

WDDX Support => enabled
WDDX Session Serializer => enabled

xdebug

xdebug support => enabled
Version => 2.2.3
IDE Key => takeo

Supported protocols => Revision
DBGp - Common DeBuGger Protocol => $Revision: 1.145 $

Directive => Local Value => Master Value
xdebug.auto_trace => On => On
xdebug.cli_color => 0 => 0
xdebug.collect_assignments => On => On
xdebug.collect_includes => On => On
xdebug.collect_params => 1 => 1
xdebug.collect_return => On => On
xdebug.collect_vars => On => On
xdebug.coverage_enable => On => On
xdebug.default_enable => On => On
xdebug.dump.COOKIE => no value => no value
xdebug.dump.ENV => no value => no value
xdebug.dump.FILES => no value => no value
xdebug.dump.GET => no value => no value
xdebug.dump.POST => no value => no value
xdebug.dump.REQUEST => no value => no value
xdebug.dump.SERVER => no value => no value
xdebug.dump.SESSION => no value => no value
xdebug.dump_globals => On => On
xdebug.dump_once => On => On
xdebug.dump_undefined => On => On
xdebug.extended_info => On => On
xdebug.file_link_format => no value => no value
xdebug.idekey => no value => no value
xdebug.max_nesting_level => 888 => 888
xdebug.overload_var_dump => Off => Off
xdebug.profiler_aggregate => Off => Off
xdebug.profiler_append => Off => Off
xdebug.profiler_enable => Off => Off
xdebug.profiler_enable_trigger => Off => Off
xdebug.profiler_output_dir => \xampp\tmp => \xampp\tmp
xdebug.profiler_output_name => xdebug_profile.%R::%u => xdebug_profile.%R::%u
xdebug.remote_autostart => Off => Off
xdebug.remote_connect_back => Off => Off
xdebug.remote_cookie_expire_time => 3600 => 3600
xdebug.remote_enable => Off => Off
xdebug.remote_handler => dbgp => dbgp
xdebug.remote_host => localhost => localhost
xdebug.remote_log => no value => no value
xdebug.remote_mode => req => req
xdebug.remote_port => 9000 => 9000
xdebug.scream => Off => Off
xdebug.show_exception_trace => Off => Off
xdebug.show_local_vars => On => On
xdebug.show_mem_delta => On => On
xdebug.trace_enable_trigger => On => On
xdebug.trace_format => 0 => 0
xdebug.trace_options => 0 => 0
xdebug.trace_output_dir => \xampp\tmp => \xampp\tmp
xdebug.trace_output_name => trace.%c => trace.%c
xdebug.var_display_max_children => 888 => 888
xdebug.var_display_max_data => 888 => 888
xdebug.var_display_max_depth => 888 => 888

xml

XML Support => active
XML Namespace Support => active
libxml2 Version => 2.7.7

xmlreader

XMLReader => enabled

xmlrpc

core library version => xmlrpc-epi v. 0.51
php extension version => 0.51
author => Dan Libby
homepage => http://xmlrpc-epi.sourceforge.net
open sourced by => Epinions.com

xmlwriter

XMLWriter => enabled

xsl

XSL => enabled
libxslt Version => 1.1.23
libxslt compiled against libxml Version => 2.6.32
EXSLT => enabled
libexslt Version => 0.8.13

zip

Zip => enabled
Extension Version => $Id$
Zip version => 1.9.1
Libzip version => 0.9.0

zlib

ZLib Support => enabled
Stream Wrapper => compress.zlib://
Stream Filter => zlib.inflate, zlib.deflate
Compiled Version => 1.2.5
Linked Version => 1.2.5

Directive => Local Value => Master Value
zlib.output_compression => Off => Off
zlib.output_compression_level => -1 => -1
zlib.output_handler => no value => no value

Additional Modules

Module Name

Environment

Variable => Value
ALLUSERSPROFILE => C:\ProgramData
AMDAPPSDKROOT => C:\Program Files (x86)\AMD APP\
APPDATA => C:\Users\takeo\AppData\Roaming
APR_ICONV_PATH => F:\Program Files (x86)\Subversion\iconv
asl.log => Destination=file
CLASSPATH => .;C:\Program Files (x86)\Java\jre6\lib\ext\QTJava.zip
CommonProgramFiles => C:\Program Files (x86)\Common Files
CommonProgramFiles(x86) => C:\Program Files (x86)\Common Files
CommonProgramW6432 => C:\Program Files\Common Files
COMPUTERNAME => TAKEO-PC
ComSpec => C:\Windows\system32\cmd.exe
DXSDK_DIR => C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\
FP_NO_HOST_CHECK => NO
HOME => C:\Users\takeo
HOMEDRIVE => C:
HOMEPATH => \Users\takeo
include => F:\Program Files (x86)\Microsoft Visual Studio\VC98\atl\include;F:\P
ogram Files (x86)\Microsoft Visual Studio\VC98\mfc\include;F:\Program Files (x8
)\Microsoft Visual Studio\VC98\include
KRB5_CONFIG => C:\ProgramData\Kerberos\krb5.conf
LC_MESSAGES => C
lib => F:\Program Files (x86)\Microsoft Visual Studio\VC98\mfc\lib;F:\Program F
les (x86)\Microsoft Visual Studio\VC98\lib
LOCALAPPDATA => C:\Users\takeo\AppData\Local
LOGONSERVER => \\TAKEO-PC
MSDevDir => F:\Program Files (x86)\Microsoft Visual Studio\Common\MSDev98
NUMBER_OF_PROCESSORS => 8
OS => Windows_NT
Path => C:\Program Files (x86)\Borland\Delphi7\Bin;C:\Program Files (x86)\Borla
d\Delphi7\Projects\Bpl\;C:\Perl64\site\bin;C:\Perl64\bin;C:\Program Files\Commo
 Files\Microsoft Shared\Windows Live;C:\Program Files (x86)\Common Files\Micros
ft Shared\Windows Live;C:\Program Files (x86)\AMD APP\bin\x86_64;C:\Program Fil
s (x86)\AMD APP\bin\x86;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem
C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\ATI Technolo
ies\ATI.ACE\Core-Static;F:\Program Files (x86)\Subversion\bin;C:\Dev-Cpp\bin;C:
Program Files (x86)\Pinnacle\Shared Files\;C:\Program Files (x86)\Pinnacle\Shar
d Files\Filter\;C:\Program Files (x86)\Windows Live\Shared;F:\Program Files (x8
)\QuickTime\QTSystem\;F:\Program Files\TortoiseHg\;C:\Program Files\Microsoft\W
b Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Page
\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Program Files (
86)\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\
00\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\DTS\Binn\;F:\Program F
les\TortoiseSVN\bin;F:\Program Files (x86)\GNU\GnuPG\pub;F:\Program Files (x86)
Heimdal\bin\;C:\Program Files\Heimdal\bin\;C:\ffmpeg\ffmpeg-git-14d94a1-win32-s
atic\bin;C:\cygwin\bin;C:\Program Files (x86)\Git\cmd;C:\Program Files (x86)\Gi
\bin;C:\Program Files (x86)\Tesseract-OCR;C:\Program Files (x86)\Tesseract-OCR;
:\Program Files (x86)\Microsoft Visual Studio\Common\Tools\WinNT;F:\Program Fil
s (x86)\Microsoft Visual Studio\Common\MSDev98\Bin;F:\Program Files (x86)\Micro
oft Visual Studio\Common\Tools;F:\Program Files (x86)\Microsoft Visual Studio\V
98\bin;F:\Program Files (x86)\Subversion\bin;C:\ffmpeg\ffmpeg-20130611-git-0f88
98-win64-static\bin;F:\Program Files (x86)\Nmap;C:\Perl64\bin;
PATHEXT => .COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC
PROCESSOR_ARCHITECTURE => x86
PROCESSOR_ARCHITEW6432 => AMD64
PROCESSOR_IDENTIFIER => Intel64 Family 6 Model 42 Stepping 7, GenuineIntel
PROCESSOR_LEVEL => 6
PROCESSOR_REVISION => 2a07
ProgramData => C:\ProgramData
ProgramFiles => C:\Program Files (x86)
ProgramFiles(x86) => C:\Program Files (x86)
ProgramW6432 => C:\Program Files
PROMPT => $P$G
PSModulePath => C:\Windows\system32\WindowsPowerShell\v1.0\Modules\
PUBLIC => C:\Users\Public
QTJAVA => C:\Program Files (x86)\Java\jre6\lib\ext\QTJava.zip
SESSIONNAME => Console
SystemDrive => C:
SystemRoot => C:\Windows
TEMP => C:\Users\takeo\AppData\Local\Temp
TESSDATA_PREFIX => C:\Program Files (x86)\Tesseract-OCR\
TMP => C:\Users\takeo\AppData\Local\Temp
USERDOMAIN => takeo-PC
USERNAME => takeo
USERPROFILE => C:\Users\takeo
VBOX_INSTALL_PATH => F:\Program Files\Oracle\VirtualBox\
VS100COMNTOOLS => C:\Program Files (x86)\Microsoft Visual Studio 10.0\Common7\T
ols\
windir => C:\Windows

PHP Variables

Variable => Value
_SERVER["ALLUSERSPROFILE"] => C:\ProgramData
_SERVER["AMDAPPSDKROOT"] => C:\Program Files (x86)\AMD APP\
_SERVER["APPDATA"] => C:\Users\takeo\AppData\Roaming
_SERVER["APR_ICONV_PATH"] => F:\Program Files (x86)\Subversion\iconv
_SERVER["asl_log"] => Destination=file
_SERVER["CLASSPATH"] => .;C:\Program Files (x86)\Java\jre6\lib\ext\QTJava.zip
_SERVER["CommonProgramFiles"] => C:\Program Files (x86)\Common Files
_SERVER["CommonProgramFiles(x86)"] => C:\Program Files (x86)\Common Files
_SERVER["CommonProgramW6432"] => C:\Program Files\Common Files
_SERVER["COMPUTERNAME"] => TAKEO-PC
_SERVER["ComSpec"] => C:\Windows\system32\cmd.exe
_SERVER["DXSDK_DIR"] => C:\Program Files (x86)\Microsoft DirectX SDK (June 2010
\
_SERVER["FP_NO_HOST_CHECK"] => NO
_SERVER["HOME"] => C:\Users\takeo
_SERVER["HOMEDRIVE"] => C:
_SERVER["HOMEPATH"] => \Users\takeo
_SERVER["include"] => F:\Program Files (x86)\Microsoft Visual Studio\VC98\atl\i
clude;F:\Program Files (x86)\Microsoft Visual Studio\VC98\mfc\include;F:\Progra
 Files (x86)\Microsoft Visual Studio\VC98\include
_SERVER["KRB5_CONFIG"] => C:\ProgramData\Kerberos\krb5.conf
_SERVER["LC_MESSAGES"] => C
_SERVER["lib"] => F:\Program Files (x86)\Microsoft Visual Studio\VC98\mfc\lib;F
\Program Files (x86)\Microsoft Visual Studio\VC98\lib
_SERVER["LOCALAPPDATA"] => C:\Users\takeo\AppData\Local
_SERVER["LOGONSERVER"] => \\TAKEO-PC
_SERVER["MSDevDir"] => F:\Program Files (x86)\Microsoft Visual Studio\Common\MS
ev98
_SERVER["NUMBER_OF_PROCESSORS"] => 8
_SERVER["OS"] => Windows_NT
_SERVER["Path"] => C:\Program Files (x86)\Borland\Delphi7\Bin;C:\Program Files
x86)\Borland\Delphi7\Projects\Bpl\;C:\Perl64\site\bin;C:\Perl64\bin;C:\Program
iles\Common Files\Microsoft Shared\Windows Live;C:\Program Files (x86)\Common F
les\Microsoft Shared\Windows Live;C:\Program Files (x86)\AMD APP\bin\x86_64;C:\
rogram Files (x86)\AMD APP\bin\x86;C:\Windows\system32;C:\Windows;C:\Windows\Sy
tem32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\A
I Technologies\ATI.ACE\Core-Static;F:\Program Files (x86)\Subversion\bin;C:\Dev
Cpp\bin;C:\Program Files (x86)\Pinnacle\Shared Files\;C:\Program Files (x86)\Pi
nacle\Shared Files\Filter\;C:\Program Files (x86)\Windows Live\Shared;F:\Progra
 Files (x86)\QuickTime\QTSystem\;F:\Program Files\TortoiseHg\;C:\Program Files\
icrosoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.N
T Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Prog
am Files (x86)\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft
QL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\DTS\Binn\;F
\Program Files\TortoiseSVN\bin;F:\Program Files (x86)\GNU\GnuPG\pub;F:\Program
iles (x86)\Heimdal\bin\;C:\Program Files\Heimdal\bin\;C:\ffmpeg\ffmpeg-git-14d9
a1-win32-static\bin;C:\cygwin\bin;C:\Program Files (x86)\Git\cmd;C:\Program Fil
s (x86)\Git\bin;C:\Program Files (x86)\Tesseract-OCR;C:\Program Files (x86)\Tes
eract-OCR;F:\Program Files (x86)\Microsoft Visual Studio\Common\Tools\WinNT;F:\
rogram Files (x86)\Microsoft Visual Studio\Common\MSDev98\Bin;F:\Program Files
x86)\Microsoft Visual Studio\Common\Tools;F:\Program Files (x86)\Microsoft Visu
l Studio\VC98\bin;F:\Program Files (x86)\Subversion\bin;C:\ffmpeg\ffmpeg-201306
1-git-0f88a98-win64-static\bin;F:\Program Files (x86)\Nmap;C:\Perl64\bin;
_SERVER["PATHEXT"] => .COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC
_SERVER["PROCESSOR_ARCHITECTURE"] => x86
_SERVER["PROCESSOR_ARCHITEW6432"] => AMD64
_SERVER["PROCESSOR_IDENTIFIER"] => Intel64 Family 6 Model 42 Stepping 7, Genuin
Intel
_SERVER["PROCESSOR_LEVEL"] => 6
_SERVER["PROCESSOR_REVISION"] => 2a07
_SERVER["ProgramData"] => C:\ProgramData
_SERVER["ProgramFiles"] => C:\Program Files (x86)
_SERVER["ProgramFiles(x86)"] => C:\Program Files (x86)
_SERVER["ProgramW6432"] => C:\Program Files
_SERVER["PROMPT"] => $P$G
_SERVER["PSModulePath"] => C:\Windows\system32\WindowsPowerShell\v1.0\Modules\
_SERVER["PUBLIC"] => C:\Users\Public
_SERVER["QTJAVA"] => C:\Program Files (x86)\Java\jre6\lib\ext\QTJava.zip
_SERVER["SESSIONNAME"] => Console
_SERVER["SystemDrive"] => C:
_SERVER["SystemRoot"] => C:\Windows
_SERVER["TEMP"] => C:\Users\takeo\AppData\Local\Temp
_SERVER["TESSDATA_PREFIX"] => C:\Program Files (x86)\Tesseract-OCR\
_SERVER["TMP"] => C:\Users\takeo\AppData\Local\Temp
_SERVER["USERDOMAIN"] => takeo-PC
_SERVER["USERNAME"] => takeo
_SERVER["USERPROFILE"] => C:\Users\takeo
_SERVER["VBOX_INSTALL_PATH"] => F:\Program Files\Oracle\VirtualBox\
_SERVER["VS100COMNTOOLS"] => C:\Program Files (x86)\Microsoft Visual Studio 10.
\Common7\Tools\
_SERVER["windir"] => C:\Windows
_SERVER["PHP_SELF"] => -
_SERVER["SCRIPT_NAME"] => -
_SERVER["SCRIPT_FILENAME"] =>
_SERVER["PATH_TRANSLATED"] =>
_SERVER["DOCUMENT_ROOT"] =>
_SERVER["REQUEST_TIME_FLOAT"] => 1387039734.6687
_SERVER["REQUEST_TIME"] => 1387039734
_SERVER["argv"] => Array
(
    [0] => -
)

_SERVER["argc"] => 1

PHP License
This program is free software; you can redistribute it and/or modify
it under the terms of the PHP License as published by the PHP Group
and included in the distribution in the file: LICENSE

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

If you did not receive a copy of the PHP license, or have any
questions about PHP licensing, please contact license@php.net.
TagsNo tags attached.
Operating SystemWindows 7 x64 SP1 NT kernel 6.1.7601
PHP Version5.4.4

Relationships

duplicate of 0000976 closedderick XDebug crashes if current varibles scope contains COM object 

Activities

derick

2014-03-02 14:16

administrator   ~0002732

I think this is a duplicate of 0000976 which is fixed in the yesterday released 2.2.4 release (Windows binaries follow shortly).

Issue History

Date Modified Username Field Change
2013-12-14 17:27 hanshenrik New Issue
2014-03-02 14:16 derick Note Added: 0002732
2014-03-02 14:16 derick Relationship added duplicate of 0000976
2014-03-02 14:16 derick Status new => resolved
2014-03-02 14:16 derick Fixed in Version => 2.2.4
2014-03-02 14:16 derick Resolution open => duplicate
2014-03-02 14:16 derick Assigned To => derick
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)